import { Host, h } from "@stencil/core";
import { BEM } from "../../../utils/bem";
export class HintText {
    render() {
        const block = BEM.block('hint');
        const elContent = block.element('content');
        const elText = elContent.element('text');
        const elTextField = elText.element('field');
        return (h(Host, { key: '37d17b229f86f236fe7ddaadd42fc91f611c6d05', class: Object.assign({}, elText.class()) }, h("p", { key: '3fb5e40a5c38c89842a63c08dcd249ae626c8f14', class: Object.assign({}, elTextField.class()) }, h("slot", { key: 'ffd2db1c493980e60f352d6d0f25deb0a5516b49' }))));
    }
    static get is() { return "bal-hint-text"; }
}
